// A class that creates a panel containg 2 fields appropriate for testing
// String methods expecting one String parameter (like equals).
public class TwoStringInput extends StringInput {

	// Field for entry of parameter string
	public LabeledTextField soughtString;

	public TwoStringInput() {
		soughtString =
			new LabeledTextField("Sought String", StringDemos.FIELDWIDTH);
		inputPanel.add(soughtString);
	}

	public void copyInputs(StringOpTester old) {
		super.copyInputs(old);
		soughtString.setText(old.getSought());
	}

	public String getSought() {
		return soughtString.getText();
	}

	public void setSought(String text) {
		soughtString.setText(text);
	}
}
